curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "brd_0E603421F0a2fL1814",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "40-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
},
"cockpits": {
"campaigns_overview_enabled": false,
"loyalty_enabled": true,
"gift_cards_enabled": true,
"coupons_enabled": true,
"referrals_enabled": true,
"theme": "default",
"use_custom_double_opt_in_redirect_url": false,
"custom_double_opt_in_redirect_url": null
}
}
],
"total": 1
}List Brands
Lists all brand configurations.
Because a project can have only one brand, it always returns a list with one item.
This endpoint can be used to retrieve the brand configuration created with the Voucherify Dashboard and the ID.
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "brd_0E603421F0a2fL1814",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "40-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
},
"cockpits": {
"campaigns_overview_enabled": false,
"loyalty_enabled": true,
"gift_cards_enabled": true,
"coupons_enabled": true,
"referrals_enabled": true,
"theme": "default",
"use_custom_double_opt_in_redirect_url": false,
"custom_double_opt_in_redirect_url": null
}
}
],
"total": 1
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Provide the unique identifier of the project.
"proj_TrlkLiH4"
Response
Returns the details about the brand created in the project.
Object containing a list of brand configurations. It always contains one item.
The type of the object represented by JSON. This object stores information about the brand in a dictionary.
list Identifies the name of the attribute that contains the array of brand objects.
data Array of brand objects. It contains only one object.
Show child attributes
Show child attributes
The total number of brand objects. It is always 1.
Was this page helpful?

